package jesse.keeblarcraft.ConfigMgr;

public class SQLTypeSupport {
    public enum VALID_SQL_TYPE {
        VARCHAR,
        BIGINT,
        INT,
        TEXT
    }

    // Produces the word that SQL would expect for the given datatype. In general it's usually just the word itself but in cases
    // like 'varchar' you usually specify a size too. For now it defaults 255 but this can be expanded in the future
    public static String GetSqlStrForType(VALID_SQL_TYPE type) {
        switch(type) {
            case VARCHAR:
                return "VARCHAR(255)";
            case BIGINT:
                return "BIGINT";
            case INT:
                return "INT";
            case TEXT:
                return "TEXT";
        }

        return null; // This should never get hit
    }
}
